﻿/*
 * P4.Net *
Copyright (c) 2007 Shawn Hladky

Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
and associated documentation files (the "Software"), to deal in the Software without 
restriction, including without limitation the rights to use, copy, modify, merge, publish, 
distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or 
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING 
BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 */
using System;
using System.Text;
using System.IO;

namespace P4API
{
    public abstract class P4Callback
    {

        public virtual void Diff(FileInfo f1, FileInfo f2, string diffFlags)
        {
            
        }
        public virtual void Edit(FileInfo f1)
        {
        }
        public virtual void Prompt(string msg, ref string rsp)
        {
        }
        public virtual void Merge(FileInfo baseFile, FileInfo leg1, FileInfo leg2, FileInfo result)
        {
        }
        public virtual void Finished()
        {
            // do nothing
        }
        public virtual bool Cancel()
        {
            return false;
        }
        public virtual void OutputBinary(byte[] b)
        {
        }
        public virtual void OutputText(string data)
        {
        }
        public virtual void InputData(StringBuilder buffer)
        {
        }
        public virtual void OutputRecord(P4Record record)
        {
        }
        public virtual void OutputMessage(P4Message message)
        {
        }
        public virtual void OutputInfo(string data)
        {
        }
        public virtual void SetSpecDef(string specDef)
        {
        }
    }
}
